<div class="data-table" oncontextmenu="return false;" (click)="resetContextMenu()">
  <nz-table
    #basicTable
    [nzData]="items"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="items?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getInfo()"
    nzSize="small">
    <thead>
    <tr>
      <th scope="col" class="text-nowrap" nzWidth="80px">{{'selfService.table.stt' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.familyDeductionsInformation.label.table.relationTypeName' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.familyDeductionsInformation.label.table.fullName' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.familyDeductionsInformation.label.table.taxNumber' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.familyDeductionsInformation.label.table.personalIdNumber' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.familyDeductionsInformation.label.table.codeNo' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.familyDeductionsInformation.label.table.fromDate' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.familyDeductionsInformation.label.table.toDate' | translate}}</th>
    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;"
        (contextmenu)="rightClickTable($event, data)">
      <td class="text-nowrap">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.relationTypeName }}</td>
      <td class="text-nowrap">{{ data?.fullName }}</td>
      <td class="text-nowrap">{{ data?.taxNumber}}</td>
      <td class="text-nowrap">{{ data?.personalId}}</td>
      <td class="text-nowrap">{{ data?.codeNo }}</td>
      <td class="text-nowrap">{{ data?.fromDate }}</td>
      <td class="text-nowrap">{{ data?.toDate}}</td>
    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>
